#### D.12.2.28 ellipticRandomPoint

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  ellipticRandomPoint(N,a,b);

Return:
  a list representing a random point (x:y:z) of the elliptic curve defined by y^2z=x^3+a*xz^2+b*z^3 over Z/N

Example:

    LIB "crypto.lib";
    ellipticRandomPoint(32003,3,181);
    ==> [1]:
    ==>    22857
    ==> [2]:
    ==>    17476
    ==> [3]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.